CAST5CBCParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.misc

## Class CAST5CBCParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.misc.CAST5CBCParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CAST5CBCParameters
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CAST5CBCParameters(ASN1Sequence seq)`
    `CAST5CBCParameters(byte[] iv, int keyLength)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CAST5CBCParameters` | `getInstance(java.lang.Object o)`
    `byte[]` | `getIV()`
    `int` | `getKeyLength()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CAST5CBCParameters

          public CAST5CBCParameters(byte[] iv,
                            int keyLength)

    - #### CAST5CBCParameters

          public CAST5CBCParameters(ASN1Sequence seq)

  - ### Method Detail

    - #### getInstance

          public static CAST5CBCParameters getInstance(java.lang.Object o)

    - #### getIV

          public byte[] getIV()

    - #### getKeyLength

          public int getKeyLength()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

           cast5CBCParameters ::= SEQUENCE {
                                     iv         OCTET STRING DEFAULT 0,
                                            -- Initialization vector
                                     keyLength  INTEGER
                                            -- Key length, in bits
                                }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.